Skip to main content
GET
/
positions
/
all
List all positions
curl --request GET \
  --url https://api.circular.rosetta.sh/api/v1/positions/all \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "protocol": "<string>",
      "chainId": 123,
      "user": {
        "address": "<string>"
      },
      "healthFactor": 123,
      "state": {
        "collateralUsd": 123,
        "borrowAssetsUsd": 123,
        "supplyAssetsUsd": 123
      },
      "market": {
        "uniqueKey": "<string>",
        "collateralAsset": {
          "symbol": "<string>"
        },
        "loanAsset": {
          "symbol": "<string>"
        },
        "lltv": 123
      },
      "leverage": 123,
      "distanceToLiq": 123
    }
  ],
  "meta": {
    "latencyMs": 123,
    "freshness": "<string>",
    "source": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key in format circ_live_* or circ_test_*

Query Parameters

limit
integer
default:50

Maximum number of results to return

offset
integer
default:0

Number of results to skip

Response

200 - application/json

List of positions

data
object[]
meta
object